package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountDeleteactivityRequest) SetParam(v domain.AlibabaWdkMarketingItemdiscountDeleteactivityCommonActivityRequest) *AlibabaWdkMarketingItemdiscountDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
